Kwalitee Issues

No Core Issues.

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • Pod::Wordlist
  • Test::Code::TidyAll
  • Test::EOL
  • Test::Mojibake
  • Test::NoTabs
  • Test::Pod
  • Test::Spelling
  • Test::Synopsis
  • Test::Version

Modules

Name Abstract Version View
Perl::Critic::Moose Policies for Perl::Critic concerned with using Moose 1.04 metacpan
Perl::Critic::Policy::Moose::ProhibitDESTROYMethod Use DEMOLISH instead of DESTROY 1.04 metacpan
Perl::Critic::Policy::Moose::ProhibitLazyBuild Avoid lazy_build 1.04 metacpan
Perl::Critic::Policy::Moose::ProhibitMultipleWiths Require role composition 1.04 metacpan
Perl::Critic::Policy::Moose::ProhibitNewMethod Don't override Moose's standard constructors. 1.04 metacpan
Perl::Critic::Policy::Moose::RequireCleanNamespace Require removing implementation details from you packages. 1.04 metacpan
Perl::Critic::Policy::Moose::RequireMakeImmutable Ensure that you've made your Moose code fast 1.04 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README.md metacpan
cpanfile metacpan
dist.ini metacpan